NXOpen.UF.Sket.AttachToFace

Sket.AttachToFace()

Refer to UF_SKET_attach_to_face for documentation.

Signature: AttachToFace(sketchTag, faceTag, refTag, refInfo, planeDir)

Parameters:
  • sketchTag (Tag) – Tag of the sketch to attach
  • faceTag (Tag) – Face or datum plane to attach the sketch to
  • refTag (Tag) – This defines a line which is the horizontal or vertical reference used for positioning the sketch on the face or datum plane. This object can be a linear edge, a datum axis, a planar face, or a datum plane. The direction of the line is specified in ref_info. A face or datum plane constructs the line by intersecting itself with face_tag.
  • refInfo (list of int) – Data required to fully define the reference. ref_info[0] = reference orientation use one of the following values: UF_SKET_HORIZONTAL UF_SKET_VERTICAL ref_info[1] = direction along reference use one of the following values: UF_SKET_ALONG_CURVE (start to end) UF_SKET_OPPOSITE_CURVE (end to start)
  • planeDir (int) – Which side of plane or face to attach sketch. use one of the following values: UF_SKET_WITH_NORMAL (outwards from parent body) UF_SKET_OPPOSITE_NORMAL (inwards from parent body)
Returns:

Sketch feature tag created

Return type:

Tag

License requirements: SOLIDS MODELING or DRAFTING